Documentation
¶
Index ¶
- Constants
- type GetAgents
- type GetAgentsAgentHost
- type GetAgentsAgentHostForbidden
- type GetAgentsAgentHostHandler
- type GetAgentsAgentHostHandlerFunc
- type GetAgentsAgentHostNotFound
- type GetAgentsAgentHostOK
- type GetAgentsAgentHostParams
- type GetAgentsAgentHostURL
- func (o *GetAgentsAgentHostURL) Build() (*url.URL, error)
- func (o *GetAgentsAgentHostURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAgentsAgentHostURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAgentsAgentHostURL) SetBasePath(bp string)
- func (o *GetAgentsAgentHostURL) String() string
- func (o *GetAgentsAgentHostURL) StringFull(scheme, host string) string
- func (o *GetAgentsAgentHostURL) WithBasePath(bp string) *GetAgentsAgentHostURL
- type GetAgentsAgentHostUnauthorized
- type GetAgentsAgentHostUnprocessableEntity
- func (o *GetAgentsAgentHostUnprocessableEntity) SetPayload(payload *models.Error)
- func (o *GetAgentsAgentHostUnprocessableEntity) WithPayload(payload *models.Error) *GetAgentsAgentHostUnprocessableEntity
- func (o *GetAgentsAgentHostUnprocessableEntity) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetAgentsBadRequest
- type GetAgentsForbidden
- type GetAgentsHandler
- type GetAgentsHandlerFunc
- type GetAgentsOK
- type GetAgentsOKBody
- type GetAgentsParams
- type GetAgentsURL
- func (o *GetAgentsURL) Build() (*url.URL, error)
- func (o *GetAgentsURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAgentsURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAgentsURL) SetBasePath(bp string)
- func (o *GetAgentsURL) String() string
- func (o *GetAgentsURL) StringFull(scheme, host string) string
- func (o *GetAgentsURL) WithBasePath(bp string) *GetAgentsURL
- type GetAgentsUnauthorized
- type GetAgentsUnprocessableEntity
Constants ¶
const GetAgentsAgentHostForbiddenCode int = 403
GetAgentsAgentHostForbiddenCode is the HTTP code returned for type GetAgentsAgentHostForbidden
const GetAgentsAgentHostNotFoundCode int = 404
GetAgentsAgentHostNotFoundCode is the HTTP code returned for type GetAgentsAgentHostNotFound
const GetAgentsAgentHostOKCode int = 200
GetAgentsAgentHostOKCode is the HTTP code returned for type GetAgentsAgentHostOK
GetAgentsAgentHostUnauthorizedCode is the HTTP code returned for type GetAgentsAgentHostUnauthorized
const GetAgentsAgentHostUnprocessableEntityCode int = 422
GetAgentsAgentHostUnprocessableEntityCode is the HTTP code returned for type GetAgentsAgentHostUnprocessableEntity
const GetAgentsBadRequestCode int = 400
GetAgentsBadRequestCode is the HTTP code returned for type GetAgentsBadRequest
const GetAgentsForbiddenCode int = 403
GetAgentsForbiddenCode is the HTTP code returned for type GetAgentsForbidden
const GetAgentsOKCode int = 200
GetAgentsOKCode is the HTTP code returned for type GetAgentsOK
GetAgentsUnauthorizedCode is the HTTP code returned for type GetAgentsUnauthorized
const GetAgentsUnprocessableEntityCode int = 422
GetAgentsUnprocessableEntityCode is the HTTP code returned for type GetAgentsUnprocessableEntity
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetAgents ¶
type GetAgents struct {
Context *middleware.Context
Handler GetAgentsHandler
}
GetAgents swagger:route GET /agents Agent getAgents
List Agents ¶
Lists all registered Archer agents. This is an administrative endpoint.
func NewGetAgents ¶
func NewGetAgents(ctx *middleware.Context, handler GetAgentsHandler) *GetAgents
NewGetAgents creates a new http.Handler for the get agents operation
type GetAgentsAgentHost ¶
type GetAgentsAgentHost struct {
Context *middleware.Context
Handler GetAgentsAgentHostHandler
}
GetAgentsAgentHost swagger:route GET /agents/{agent_host} Agent getAgentsAgentHost
Show Agent details ¶
Shows details for a specific agent.
func NewGetAgentsAgentHost ¶
func NewGetAgentsAgentHost(ctx *middleware.Context, handler GetAgentsAgentHostHandler) *GetAgentsAgentHost
NewGetAgentsAgentHost creates a new http.Handler for the get agents agent host operation
func (*GetAgentsAgentHost) ServeHTTP ¶
func (o *GetAgentsAgentHost) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetAgentsAgentHostForbidden ¶
type GetAgentsAgentHostForbidden struct {
}
GetAgentsAgentHostForbidden Forbidden
swagger:response getAgentsAgentHostForbidden
func NewGetAgentsAgentHostForbidden ¶
func NewGetAgentsAgentHostForbidden() *GetAgentsAgentHostForbidden
NewGetAgentsAgentHostForbidden creates GetAgentsAgentHostForbidden with default headers values
func (*GetAgentsAgentHostForbidden) WriteResponse ¶
func (o *GetAgentsAgentHostForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsAgentHostHandler ¶
type GetAgentsAgentHostHandler interface {
Handle(GetAgentsAgentHostParams, any) middleware.Responder
}
GetAgentsAgentHostHandler interface for that can handle valid get agents agent host params
type GetAgentsAgentHostHandlerFunc ¶
type GetAgentsAgentHostHandlerFunc func(GetAgentsAgentHostParams, any) middleware.Responder
GetAgentsAgentHostHandlerFunc turns a function with the right signature into a get agents agent host handler
func (GetAgentsAgentHostHandlerFunc) Handle ¶
func (fn GetAgentsAgentHostHandlerFunc) Handle(params GetAgentsAgentHostParams, principal any) middleware.Responder
Handle executing the request and returning a response
type GetAgentsAgentHostNotFound ¶
type GetAgentsAgentHostNotFound struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
}
GetAgentsAgentHostNotFound Not Found
swagger:response getAgentsAgentHostNotFound
func NewGetAgentsAgentHostNotFound ¶
func NewGetAgentsAgentHostNotFound() *GetAgentsAgentHostNotFound
NewGetAgentsAgentHostNotFound creates GetAgentsAgentHostNotFound with default headers values
func (*GetAgentsAgentHostNotFound) SetPayload ¶
func (o *GetAgentsAgentHostNotFound) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents agent host not found response
func (*GetAgentsAgentHostNotFound) WithPayload ¶
func (o *GetAgentsAgentHostNotFound) WithPayload(payload *models.Error) *GetAgentsAgentHostNotFound
WithPayload adds the payload to the get agents agent host not found response
func (*GetAgentsAgentHostNotFound) WriteResponse ¶
func (o *GetAgentsAgentHostNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsAgentHostOK ¶
GetAgentsAgentHostOK Agent details.
swagger:response getAgentsAgentHostOK
func NewGetAgentsAgentHostOK ¶
func NewGetAgentsAgentHostOK() *GetAgentsAgentHostOK
NewGetAgentsAgentHostOK creates GetAgentsAgentHostOK with default headers values
func (*GetAgentsAgentHostOK) SetPayload ¶
func (o *GetAgentsAgentHostOK) SetPayload(payload *models.Agent)
SetPayload sets the payload to the get agents agent host o k response
func (*GetAgentsAgentHostOK) WithPayload ¶
func (o *GetAgentsAgentHostOK) WithPayload(payload *models.Agent) *GetAgentsAgentHostOK
WithPayload adds the payload to the get agents agent host o k response
func (*GetAgentsAgentHostOK) WriteResponse ¶
func (o *GetAgentsAgentHostOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsAgentHostParams ¶
type GetAgentsAgentHostParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The hostname of the agent
Required: true
In: path
*/
AgentHost string
}
GetAgentsAgentHostParams contains all the bound params for the get agents agent host operation typically these are obtained from a http.Request
swagger:parameters GetAgentsAgentHost
func NewGetAgentsAgentHostParams ¶
func NewGetAgentsAgentHostParams() GetAgentsAgentHostParams
NewGetAgentsAgentHostParams creates a new GetAgentsAgentHostParams object
There are no default values defined in the spec.
func (*GetAgentsAgentHostParams) BindRequest ¶
func (o *GetAgentsAgentHostParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAgentsAgentHostParams() beforehand.
type GetAgentsAgentHostURL ¶
type GetAgentsAgentHostURL struct {
AgentHost string
// contains filtered or unexported fields
}
GetAgentsAgentHostURL generates an URL for the get agents agent host operation
func (*GetAgentsAgentHostURL) Build ¶
func (o *GetAgentsAgentHostURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAgentsAgentHostURL) BuildFull ¶
func (o *GetAgentsAgentHostURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAgentsAgentHostURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAgentsAgentHostURL) SetBasePath ¶
func (o *GetAgentsAgentHostURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAgentsAgentHostURL) String ¶
func (o *GetAgentsAgentHostURL) String() string
String returns the string representation of the path with query string
func (*GetAgentsAgentHostURL) StringFull ¶
func (o *GetAgentsAgentHostURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAgentsAgentHostURL) WithBasePath ¶
func (o *GetAgentsAgentHostURL) WithBasePath(bp string) *GetAgentsAgentHostURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAgentsAgentHostUnauthorized ¶
GetAgentsAgentHostUnauthorized Unauthorized
swagger:response getAgentsAgentHostUnauthorized
func NewGetAgentsAgentHostUnauthorized ¶
func NewGetAgentsAgentHostUnauthorized() *GetAgentsAgentHostUnauthorized
NewGetAgentsAgentHostUnauthorized creates GetAgentsAgentHostUnauthorized with default headers values
func (*GetAgentsAgentHostUnauthorized) SetPayload ¶
func (o *GetAgentsAgentHostUnauthorized) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents agent host unauthorized response
func (*GetAgentsAgentHostUnauthorized) WithPayload ¶
func (o *GetAgentsAgentHostUnauthorized) WithPayload(payload *models.Error) *GetAgentsAgentHostUnauthorized
WithPayload adds the payload to the get agents agent host unauthorized response
func (*GetAgentsAgentHostUnauthorized) WriteResponse ¶
func (o *GetAgentsAgentHostUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsAgentHostUnprocessableEntity ¶
type GetAgentsAgentHostUnprocessableEntity struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
}
GetAgentsAgentHostUnprocessableEntity Unprocessable Content
swagger:response getAgentsAgentHostUnprocessableEntity
func NewGetAgentsAgentHostUnprocessableEntity ¶
func NewGetAgentsAgentHostUnprocessableEntity() *GetAgentsAgentHostUnprocessableEntity
NewGetAgentsAgentHostUnprocessableEntity creates GetAgentsAgentHostUnprocessableEntity with default headers values
func (*GetAgentsAgentHostUnprocessableEntity) SetPayload ¶
func (o *GetAgentsAgentHostUnprocessableEntity) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents agent host unprocessable entity response
func (*GetAgentsAgentHostUnprocessableEntity) WithPayload ¶
func (o *GetAgentsAgentHostUnprocessableEntity) WithPayload(payload *models.Error) *GetAgentsAgentHostUnprocessableEntity
WithPayload adds the payload to the get agents agent host unprocessable entity response
func (*GetAgentsAgentHostUnprocessableEntity) WriteResponse ¶
func (o *GetAgentsAgentHostUnprocessableEntity) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsBadRequest ¶
GetAgentsBadRequest Bad request
swagger:response getAgentsBadRequest
func NewGetAgentsBadRequest ¶
func NewGetAgentsBadRequest() *GetAgentsBadRequest
NewGetAgentsBadRequest creates GetAgentsBadRequest with default headers values
func (*GetAgentsBadRequest) SetPayload ¶
func (o *GetAgentsBadRequest) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents bad request response
func (*GetAgentsBadRequest) WithPayload ¶
func (o *GetAgentsBadRequest) WithPayload(payload *models.Error) *GetAgentsBadRequest
WithPayload adds the payload to the get agents bad request response
func (*GetAgentsBadRequest) WriteResponse ¶
func (o *GetAgentsBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsForbidden ¶
type GetAgentsForbidden struct {
}
GetAgentsForbidden Forbidden
swagger:response getAgentsForbidden
func NewGetAgentsForbidden ¶
func NewGetAgentsForbidden() *GetAgentsForbidden
NewGetAgentsForbidden creates GetAgentsForbidden with default headers values
func (*GetAgentsForbidden) WriteResponse ¶
func (o *GetAgentsForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsHandler ¶
type GetAgentsHandler interface {
Handle(GetAgentsParams, any) middleware.Responder
}
GetAgentsHandler interface for that can handle valid get agents params
type GetAgentsHandlerFunc ¶
type GetAgentsHandlerFunc func(GetAgentsParams, any) middleware.Responder
GetAgentsHandlerFunc turns a function with the right signature into a get agents handler
func (GetAgentsHandlerFunc) Handle ¶
func (fn GetAgentsHandlerFunc) Handle(params GetAgentsParams, principal any) middleware.Responder
Handle executing the request and returning a response
type GetAgentsOK ¶
type GetAgentsOK struct {
/*
In: Body
*/
Payload *GetAgentsOKBody `json:"body,omitempty"`
}
GetAgentsOK An array of agents.
swagger:response getAgentsOK
func NewGetAgentsOK ¶
func NewGetAgentsOK() *GetAgentsOK
NewGetAgentsOK creates GetAgentsOK with default headers values
func (*GetAgentsOK) SetPayload ¶
func (o *GetAgentsOK) SetPayload(payload *GetAgentsOKBody)
SetPayload sets the payload to the get agents o k response
func (*GetAgentsOK) WithPayload ¶
func (o *GetAgentsOK) WithPayload(payload *GetAgentsOKBody) *GetAgentsOK
WithPayload adds the payload to the get agents o k response
func (*GetAgentsOK) WriteResponse ¶
func (o *GetAgentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsOKBody ¶
type GetAgentsOKBody struct {
// items
Items []*models.Agent `json:"items"`
// links
Links []*models.Link `json:"links,omitempty"`
}
GetAgentsOKBody get agents o k body
swagger:model GetAgentsOKBody
func (*GetAgentsOKBody) ContextValidate ¶
ContextValidate validate this get agents o k body based on the context it is used
func (*GetAgentsOKBody) MarshalBinary ¶
func (o *GetAgentsOKBody) MarshalBinary() ([]byte, error)
MarshalBinary interface implementation
func (*GetAgentsOKBody) UnmarshalBinary ¶
func (o *GetAgentsOKBody) UnmarshalBinary(b []byte) error
UnmarshalBinary interface implementation
type GetAgentsParams ¶
GetAgentsParams contains all the bound params for the get agents operation typically these are obtained from a http.Request
swagger:parameters GetAgents
func NewGetAgentsParams ¶
func NewGetAgentsParams() GetAgentsParams
NewGetAgentsParams creates a new GetAgentsParams object
There are no default values defined in the spec.
func (*GetAgentsParams) BindRequest ¶
func (o *GetAgentsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAgentsParams() beforehand.
type GetAgentsURL ¶
type GetAgentsURL struct {
// contains filtered or unexported fields
}
GetAgentsURL generates an URL for the get agents operation
func (*GetAgentsURL) Build ¶
func (o *GetAgentsURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAgentsURL) BuildFull ¶
func (o *GetAgentsURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAgentsURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAgentsURL) SetBasePath ¶
func (o *GetAgentsURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAgentsURL) String ¶
func (o *GetAgentsURL) String() string
String returns the string representation of the path with query string
func (*GetAgentsURL) StringFull ¶
func (o *GetAgentsURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAgentsURL) WithBasePath ¶
func (o *GetAgentsURL) WithBasePath(bp string) *GetAgentsURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAgentsUnauthorized ¶
GetAgentsUnauthorized Unauthorized
swagger:response getAgentsUnauthorized
func NewGetAgentsUnauthorized ¶
func NewGetAgentsUnauthorized() *GetAgentsUnauthorized
NewGetAgentsUnauthorized creates GetAgentsUnauthorized with default headers values
func (*GetAgentsUnauthorized) SetPayload ¶
func (o *GetAgentsUnauthorized) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents unauthorized response
func (*GetAgentsUnauthorized) WithPayload ¶
func (o *GetAgentsUnauthorized) WithPayload(payload *models.Error) *GetAgentsUnauthorized
WithPayload adds the payload to the get agents unauthorized response
func (*GetAgentsUnauthorized) WriteResponse ¶
func (o *GetAgentsUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAgentsUnprocessableEntity ¶
type GetAgentsUnprocessableEntity struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
}
GetAgentsUnprocessableEntity Unprocessable Content
swagger:response getAgentsUnprocessableEntity
func NewGetAgentsUnprocessableEntity ¶
func NewGetAgentsUnprocessableEntity() *GetAgentsUnprocessableEntity
NewGetAgentsUnprocessableEntity creates GetAgentsUnprocessableEntity with default headers values
func (*GetAgentsUnprocessableEntity) SetPayload ¶
func (o *GetAgentsUnprocessableEntity) SetPayload(payload *models.Error)
SetPayload sets the payload to the get agents unprocessable entity response
func (*GetAgentsUnprocessableEntity) WithPayload ¶
func (o *GetAgentsUnprocessableEntity) WithPayload(payload *models.Error) *GetAgentsUnprocessableEntity
WithPayload adds the payload to the get agents unprocessable entity response
func (*GetAgentsUnprocessableEntity) WriteResponse ¶
func (o *GetAgentsUnprocessableEntity) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client